help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: 24.4.50.1 Please help with gnutls.c on windows 8


From: Eli Zaretskii
Subject: Re: 24.4.50.1 Please help with gnutls.c on windows 8
Date: Mon, 13 Apr 2015 17:46:58 +0300

> Date: Mon, 13 Apr 2015 00:30:48 -0300
> From: Andriy Drozdyuk <address@hidden>
> 
> Trying 24.4.50.1 with my default repositories (marmelade, tromey,
> melpa) results in an error:

Why are you using an outdated development snapshot?  Please either
install the latest release 24.5 or update your snapshot with the
latest one (whose version should be 25.0.50).  It could be that what
you see is some temporary development problem that was fixed long ago.

> Loading g:/Projects/emacs/emacs.el (source)...
> Loading g:/Projects/emacs/andriy-packages.el (source)...
> Emacs is now refreshing its package database...
> Contacting host: marmalade-repo.org:80 [2 times]
> gnutls.c: [0] (Emacs) fatal error: The TLS connection was non-properly
> terminated.
> Failed to download `gnu' archive.
> Contacting host: tromey.com:80
> Contacting host: stable.melpa.org:80
> Failed to download `melpa-stable' archive.
>  done.
> For information about GNU Emacs and the GNU system, type C-h C-a.
> 
> 
> I can "hack" this by disabling signature checks:
> (setq package-check-signature nil)
> 
> but is there no way to make this work by default?
> I am using windows 8 64bit.

Did this ever work for you?  If not, I think you need to install the
GnuTLS library for this to work.

If it dod work previously, then what changed on your system since the
last time it did work?



reply via email to

[Prev in Thread] Current Thread [Next in Thread]